
QGIS Application - Bug report #22028

QGIS crashes when clicking on the progress bar while a script is running

2019-05-09 08:17 AM - Karsten Tebling

Status: Closed

Priority: High

Assignee:

Category: Unknown

Affected QGIS version:3.6.2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:Yes Copied to github as #: 29842

Description

User Feedback

clicking on the progress bar at the bottom of the gui while a script was running crashed QGIS

Report Details

Crash ID: fde833466f418a48a94dcf6f7e9ff121e5dc1d06

Stack Trace

QBitArray::QBitArray :

QgsDataSourceUri::service :

QgsTaskManagerModel::data :

QModelIndex::data :

QStyledItemDelegate::initStyleOption :

QStyledItemDelegate::sizeHint :

QTreeView::indexRowSizeHint :

QTreeViewPrivate::itemHeight :

QTreeViewPrivate::updateScrollBars :

QTreeView::updateGeometries :

QWidget::event :

QFrame::event :

QAbstractItemView::viewportEvent :

QCoreApplicationPrivate::sendThroughObjectEventFilters :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QWidgetPrivate::sendPendingMoveAndResizeEvents :

QWidgetPrivate::show_helper :

QWidget::setVisible :

QWidgetPrivate::showChildren :

QWidgetPrivate::show_helper :

QWidget::setVisible :

QWidgetPrivate::showChildren :

QWidgetPrivate::show_helper :

QWidget::setVisible :

QWidgetPrivate::showChildren :

QWidgetPrivate::show_helper :

QWidget::setVisible :

QgsTaskManagerStatusBarWidget::toggleDisplay :

QMetaObject::activate :

QAbstractButton::clicked :

QAbstractButton::click :

QAbstractButton::mouseReleaseEvent :

QToolButton::mouseReleaseEvent :

QWidget::event :

QApplicationPrivate::notify_helper :
QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

TranslateMessageEx :

TranslateMessage :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.6.2-Noosa

QGIS code revision: commit:656500e0c4

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.4.1

Running against GDAL: 2.4.1

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.1.7601

History

#1 - 2019-05-09 09:22 AM - Giovanni Manghi

- Priority changed from Normal to High

- Status changed from Open to Feedback

- Category changed from GUI to Unknown

What script?

#2 - 2019-05-16 11:11 AM - Karsten Tebling

Giovanni Manghi wrote:

What script?

norGIS ALKIS-Einbindung

#3 - 2019-05-17 07:31 PM - Giovanni Manghi

- Resolution set to invalid
https://github.com/norBIT/alkisplugin/


- Status changed from Feedback to Closed

That is a 3rd party plugin, you must notice the plugins authors.
